# class KWritePermsIcon | Auth icon for write permission display. More...
Definition | `#include <kauthicon.h>`
Inherits | KAuthIcon [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KWritePermsIcon (QString fileName, QWidget *parent = 0, const char *name = 0)
- ~KWritePermsIcon ()
- bool status () const
- void setFileName (QString fileName)

#### Public Slots

- void updateStatus ()

#### Protected Members

- bool writable
- QFileInfo fi

## Detailed Description

Auth icon for write permission display.

See also: KAuthIcon

KWritePermsIcon (QString fileName, QWidget *parent = 0, const char *name = 0) | ### KWritePermsIcon

~KWritePermsIcon () | ### ~KWritePermsIcon

bool status () | ### status

[const]

Returns: whether or not the monitored file is writable.

Reimplemented from KAuthIcon.

void setFileName (QString fileName) | ### setFileName

make the icon watch a new filename.

Parameters:

fileName | the new file to monitor / display status for.

void updateStatus () | ### updateStatus

[slot]

Reimplemented from KAuthIcon.

bool writable | ### writable

[protected]

QFileInfo fi | ### fi

[protected]

- Author: Preston Brown <pbrown@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.